/**
Style custom
**/

.tourmaster-price-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 15px; /* opcional */
}

.price-left {
    display: flex;
    gap: 5px;
    align-items: center;
}

.textareanews{
    margin-top: 5px;
    border-radius: 20px;
    padding: 10px;
    box-shadow: 0 10px 45px rgb(0 0 0 / 10%);
    margin-left: 4px;
    resize: none;
    width: 100%;
    min-height: 7rem;
}


.gdlr-core-skin-e-background{
    background: rgba(255,255,255,0.65) !important;
    backdrop-filter: blur(4px); /* opcional efecto vidrio */
    -webkit-backdrop-filter: blur(4px);
}


.tourmaster-room-search-submit{
    background: rgba(255,255,255,0.25) !important;
    border-color: rgba(255,255,255,0.8) !important;
    color: #fff !important;
}

/* .gdlr-core-gallery-list {
    height: 580px;
}

.gdlr-core-gallery-list img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
} */


.room-content {
    padding: 35px 0 40px 60px;
}

/* *{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    background:#fafafa;
    font-family:Arial, Helvetica, sans-serif;
} */

.gallery{
    width:min(1400px,95%);
    margin:40px auto;
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:10px;
}

.gallery img{
    width:100%;
    display:block;
    aspect-ratio:1/1;
    object-fit:cover;
    cursor:pointer;
    transition:.3s;
}

.gallery img:hover{
    transform:scale(1.03);
}



/* Modal */

/* .modal{
    position:fixed;
    inset:0;
    background:rgba(0,0,0,.85);
    display:none;
    justify-content:center;
    align-items:center;
    z-index:100;
}

.modal.active{
    display:flex;
}

.modal img{
    max-width:90%;
    max-height:90%;
}

.close{
    position:absolute;
    top:25px;
    right:35px;
    color:#fff;
    font-size:40px;
    cursor:pointer;
} */

.modal{
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.85);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.modal.active{
    display:flex;
}

.modal-content{
    position: relative;
    display: inline-block;
}

.modal-content img{
    display:block;
    max-width:90vw;
    max-height:90vh;
}

.close{
    position:absolute;
    top:10px;
    right:10px;
    width:40px;
    height:40px;
    border-radius:50%;
    background:rgba(0,0,0,.6);
    color:#fff;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:24px;
    cursor:pointer;
    transition:.3s;
}

.close:hover{
    background:#fff;
    color:#000;
}

#loader{
    height:80px;
}

/* Masonry */

.galleryRoom{

    column-count:4;
    column-gap:15px;

}

.item{

    margin-bottom:15px;
    break-inside:avoid;
    overflow:hidden;
    border-radius:10px;
    cursor:pointer;

}

.item img{

    width:100%;
    display:block;
    border-radius:10px;
    transition:.35s;

}

.item:hover img{

    transform:scale(1.05);
    filter:brightness(.8);

}

.modalRoom{
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.9);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    visibility: hidden;
    transition: .3s;
    z-index: 999;
}

.modalRoom.show{
    opacity: 1;
    visibility: visible;
}

.modal-content-room{
    position: relative;
    display: inline-block;
}

.modal-content-room img{
    display: block;
    max-width: 90vw;
    max-height: 90vh;
    border-radius: 10px;
}

.closeRoom{
    position:absolute;
    top:10px;
    right:10px;
    width:40px;
    height:40px;
    border-radius:50%;
    background:rgba(0,0,0,.6);
    color:#fff;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:24px;
    cursor:pointer;
    transition:.3s;
}

.closeRoom:hover{
    background: rgba(255,255,255,.2);
}

@keyframes zoom{

    from{
        transform:scale(.8);
        opacity:0;
    }

    to{
        transform:scale(1);
        opacity:1;
    }

}

/* The alert message box */
.alert {
  padding: 20px;
  background-color: #04AA6D;
  color: white;
  margin-bottom: 15px;
}

/* The close button */
.closebtn {
  margin-left: 15px;
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.3s;
}

/* When moving the mouse over the close button */
.closebtn:hover {
  color: black;
}



/* Responsive */

@media(max-width:1100px){

    .galleryRoom{
        column-count:3;
    }

}

@media(max-width:900px){
    .gallery{
        grid-template-columns:repeat(3,1fr);
    }
}

@media(max-width:768px){

    .galleryRoom{
        column-count:2;
    }

    .gallery-responsive-hide {
        display: none !important;
    }

    .room-content {
        padding: 25px;
    }
    table .responsive .title_one, .title_two{
        width: 50%;
    }

    /* .gdlr-core-page-builder-body img{ max-width: 160%; height: auto; } */

}

@media(max-width:700px){
    .gallery{
        grid-template-columns:repeat(2,1fr);
    }
}

@media(max-width:500px){

    .galleryRoom{
        column-count:1;
    }

    .gallery{
        grid-template-columns:1fr;
    }

}


